Bug 244615 - SMBus does not work on ATI/AMD SB700 chipset
SMBus does not work on ATI/AMD SB700 chipset
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 252288
  Show dependency treegraph
 
Reported: 2007-06-17 23:55 EDT by Shane Huang
Modified: 2007-11-30 17:12 EST (History)
7 users (show)

See Also:
Fixed In Version: Fedora 8 Test 2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-20 04:08:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shane Huang 2007-06-17 23:55:05 EDT
+++ This bug was initially created as a clone of Bug #244154 +++

Description of problem:all functions of SMBus does not work correctly


Version-Release number of selected component (if applicable):
2.6.18

How reproducible:
always

Steps to Reproduce:
1.start OS normally.
2.get cpu temperature,voltages etc from SB700 SMBus.


  
Actual results:
return value is zero

Expected results:
return the value of temperature or voltages

Additional info:
This patch will be included in the linux kernel from version 2.6.23-rc1

-- Additional comment from henry.su@amd.com on 2007-06-14 03:49 EST --
Created an attachment (id=156963)
patch: add the SMBus device ID


-- Additional comment from bnagendr@redhat.com on 2007-06-15 12:31 EST --
patch posted to RHML on Jun 15

-- Additional comment from pm-rhel@redhat.com on 2007-06-15 13:48 EST --
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.
Comment 1 Christopher Brown 2007-09-17 07:06:05 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

Has this patch been accepted upstream? If so then please close this bug or I'll
do so in a few days if there is no additional information lodged.

Cheers
Chris
Comment 2 Shane Huang 2007-09-19 23:47:23 EDT
yep, you may close this bug, and I find FC8 Test 2 contains SB600/700/800
related patches.

Note You need to log in before you can comment on or make changes to this bug.